logo

System Requirements

Requirements for Process Modeler 6

OS: XP Home/Professional, Vista, Windows 7, Windows 8

Frameworks: Microsoft .Net Framework 4.0 or higher and Visual Studio 2010 Tools for Office Runtime (will both be installed during setup)
Alternatively, they can be downloaded manually from the following locations:
– .Net Framework 4.0: http://www.microsoft.com/en-us/download/details.aspx?id=17718
– Visual Studio 2010 Tools for Office Runtime: http://www.microsoft.com/en-us/download/details.aspx?id=39290

Microsoft Visio: Microsoft Visio™ 2007/2010/2013

Microsoft Office: Microsoft Word™ 2000/XP/2003/2007/2010/2013 (recommended for several features)
Microsoft Excel™ 2000/XP/2003/2007/2010/2013 (recommended for several features)
Microsoft PowerPoint™ 2000/XP/2003/2007/2010/2013 (recommended for several features)
Microsoft Project™ 2000/XP/2003/2007/2010/2013 (required for the planning feature)

Browser: Microsoft Internet Explorer 5.01 or higher (needed to install .NET Framework)
Microsoft Silverlight™ (needed for Visio™ 2010/2013 HTML export)

Important note: Installation requires administrator privileges for the installation of the frameworks.
Process Modeler 6 does not require Administrator priviliges if installed for a local user.
Please make sure, you have installed the latest service packs and updates for your Windows Operating System.

Team Repository:

To evaluate the Team Repository, you need a database instance (MS SQL Server 2012 and up, ORACLE 9i and up, MySQL V5 and up), to which you can access locally or remotely.

To install the necessary database definitions you need database administration rights (DBA) for the specific database instance. You can use the Team Repository installation wizard or you perform a so-called “SQL Script install” to create necessary tables, roles and access rights.

The Team Repository Installation Guide can be found here.

The Team Repository Administration program requires the Oracle Instant Client for Microsoft Windows (x64) if it is used with Oracle 11g on Windows 7 64-bit.
Important: Do not install the Process Modeler installation package contained “Oracle Client – 32bit”!

Requirements for Process Modeler 5

OS: Microsoft Windows 2000™, XP Home/Professional, Vista, Windows 7
incl. Microsoft .Net Framework 2.0 or higher
Important: Visio™ 2010 requires .Net Framework 4.0 and Visual Studio 2010 Tools for Office Runtime VSTO (both will be installed during setup)

Microsoft Visio: Microsoft Visio™ 2003/2007/2010

Microsoft Office: Microsoft Word™ 2000/XP/2003/2007/2010 (recommended for several features)
Microsoft Excel™ 2000/XP/2003/2007/2010 (recommended for several features)
Microsoft PowerPoint™ 2000/XP/2003/2007/2010 (recommended for several features)
Microsoft Project™ 2000/XP/2003/2007/2010 (required for the planning feature)

Browser: Microsoft Internet Explorer 5.01 or higher (needed to install .NET Framework)
Microsoft Silverlight™ (needed for Visio™ 2010 HTML export)

Important note:|Installation requires administrator privileges.
Please make sure, you have installed the latest service packs and updates for your Windows Operating System.

The Team Repository Administration program requires the Oracle Instant Client for Microsoft Windows (x64) if it is used with Oracle 11g on Windows 7 64-bit.
Important: Do not install the Process Modeler installation package contained “Oracle Client – 32bit”!